Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem.wsht
Class LocalHTWorkItemHandler

    java.lang.Object
      org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
          org.jbpm.process.workitem.wsht.GenericHTWorkItemHandler
              org.jbpm.process.workitem.wsht.LocalHTWorkItemHandler

All Implemented Interfaces:
  WorkItemHandler

    public class LocalHTWorkItemHandler

extends GenericHTWorkItemHandler

Field Summary

Fields inherited from class org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
`action, eventHandlers, session`

Constructor Summary
`LocalHTWorkItemHandler(org.kie.internal.runtime.KnowledgeRuntime session)`
`LocalHTWorkItemHandler(org.kie.internal.runtime.KnowledgeRuntime session, boolean owningSessionOnly)`
`LocalHTWorkItemHandler(org.kie.internal.runtime.KnowledgeRuntime session, OnErrorAction action)`
`LocalHTWorkItemHandler(TaskService client, org.kie.internal.runtime.KnowledgeRuntime session)`
`LocalHTWorkItemHandler(TaskService client, org.kie.internal.runtime.KnowledgeRuntime session, boolean owningSessionOnly)`
`LocalHTWorkItemHandler(TaskService client, org.kie.internal.runtime.KnowledgeRuntime session, OnErrorAction action)`
`LocalHTWorkItemHandler(TaskService client, org.kie.internal.runtime.KnowledgeRuntime session, OnErrorAction action, ClassLoader classLoader)`

Method Summary
`void` | `connect()`

Methods inherited from class org.jbpm.process.workitem.wsht.GenericHTWorkItemHandler
`abortWorkItem, autoClaim, dispose, executeWorkItem, getClassLoader, getClient, getIpAddress, getPort, isConnected, isLocal, isOwningSessionOnly, registerTaskEvents, setClassLoader, setClient, setIpAddress, setLocal, setOwningSessionOnly, setPort`

Methods inherited from class org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
`createTaskBasedOnWorkItemParams, createTaskContentBasedOnWorkItemParams, isAutoClaim, setAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalHTWorkItemHandler

    public LocalHTWorkItemHandler(org.kie.internal.runtime.KnowledgeRuntime session)

### LocalHTWorkItemHandler

    public LocalHTWorkItemHandler(org.kie.internal.runtime.KnowledgeRuntime session,
                                  boolean owningSessionOnly)

### LocalHTWorkItemHandler

    public LocalHTWorkItemHandler(TaskService client,
                                  org.kie.internal.runtime.KnowledgeRuntime session,
                                  boolean owningSessionOnly)

### LocalHTWorkItemHandler

    public LocalHTWorkItemHandler(TaskService client,
                                  org.kie.internal.runtime.KnowledgeRuntime session)

### LocalHTWorkItemHandler

    public LocalHTWorkItemHandler(org.kie.internal.runtime.KnowledgeRuntime session,
                                  OnErrorAction action)

### LocalHTWorkItemHandler

    public LocalHTWorkItemHandler(TaskService client,
                                  org.kie.internal.runtime.KnowledgeRuntime session,
                                  OnErrorAction action)

### LocalHTWorkItemHandler

    public LocalHTWorkItemHandler(TaskService client,
                                  org.kie.internal.runtime.KnowledgeRuntime session,
                                  OnErrorAction action,
                                  ClassLoader classLoader)

Method Detail

### connect

    public void connect()

  Overrides:
    `connect` in class `GenericHTWorkItemHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.